Subject: bug#69431: 30.0.50; Strange fontificaion behavior

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Feb 2024 21:33:37 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 27 Feb 2024 19:26:39 +0000
> 
> > So maybe the problem is already solved somehow?
> 
> ... or it has something to do with loading built-in Org mode.
> when I do
> 1. emacs -Q
> 2. C-x C-f /tmp/a.org
> I do not see fontification.
> 
> when I do
> 1. emacs -Q
> 2. M-: (require 'org)
> 3. C-x C-f /tmp/a.org
> I see fontification...
> 
> and when I wait long enough for native compilation to finish, I can see
> fontification without loading org.el.
> 
> Not sure if it tells anything useful.

> From: OGAWA Hirofumi <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>, [email-masked]
> Date: Wed, 28 Feb 2024 04:20:13 +0900
> 
> I found a bit more about this. If build with --native-compilation=no, I
> can't reproduce, and at least --native-compilation=aot can reproduce.

Since this seems to be somehow related to native compilation, I'm
adding Andrea to the discussion, in the hope that he could suggest
some ideas.